# This file was auto-generated by lib/generators/tasks/generate.rb

module Slack
  module Endpoint
    module Team
      #
      # This method is used to get the access logs for users on a team.
      #
      # @option options [Object] :count
      #   Number of items to return per page.
      # @option options [Object] :page
      #   Page number of results to return.
      # @see https://api.slack.com/methods/team.accessLogs
      # @see https://github.com/aki017/slack-api-docs/blob/master/methods/team.accessLogs.md
      # @see https://github.com/aki017/slack-api-docs/blob/master/methods/team.accessLogs.json
      def team_accessLogs(options={})
        options[:attachments] = options[:attachments].to_json if Hash === options[:attachments]
        post("team.accessLogs", options)
      end

      #
      # This method provides information about your team.
      #
      # @see https://api.slack.com/methods/team.info
      # @see https://github.com/aki017/slack-api-docs/blob/master/methods/team.info.md
      # @see https://github.com/aki017/slack-api-docs/blob/master/methods/team.info.json
      def team_info(options={})
        options[:attachments] = options[:attachments].to_json if Hash === options[:attachments]
        post("team.info", options)
      end

      #
      # This method lists the integration activity logs for a team, including when integrations are added, modified and removed. This method can only be called by Admins.
      #
      # @option options [Object] :service_id
      #   Filter logs to this service. Defaults to all logs.
      # @option options [Object] :app_id
      #   Filter logs to this API application. Defaults to all logs.
      # @option options [Object] :user
      #   Filter logs generated by this user’s actions. Defaults to all logs.
      # @option options [Object] :change_type
      #   Filter logs with this change type. Defaults to all logs.
      # @option options [Object] :count
      #   Number of items to return per page.
      # @option options [Object] :page
      #   Page number of results to return.
      # @see https://api.slack.com/methods/team.integrationLogs
      # @see https://github.com/aki017/slack-api-docs/blob/master/methods/team.integrationLogs.md
      # @see https://github.com/aki017/slack-api-docs/blob/master/methods/team.integrationLogs.json
      def team_integrationLogs(options={})
        options[:attachments] = options[:attachments].to_json if Hash === options[:attachments]
        post("team.integrationLogs", options)
      end

    end
  end
end
